## javax.xml.rpc.holders
Class IntegerWrapperHolder

    java.lang.Object
      javax.xml.rpc.holders.IntegerWrapperHolder

All Implemented Interfaces:
  Holder

public final class IntegerWrapperHolder
extends java.lang.Object
implements Holder

Holder for `Integer`s.

Version:
  1.0

Field Summary
`java.lang.Integer` `value` The `Integer` contained by this holder.

Constructor Summary
`IntegerWrapperHolder()` Make a new `IntegerWrapperHolder` with a `null` value.
`IntegerWrapperHolder(java.lang.Integer value)` Make a new `IntegerWrapperHolder` with `value` as the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.lang.Integer value

  The `Integer` contained by this holder.

Constructor Detail

### IntegerWrapperHolder

    public IntegerWrapperHolder()

  Make a new `IntegerWrapperHolder` with a `null` value.

### IntegerWrapperHolder

    public IntegerWrapperHolder(java.lang.Integer value)

  Make a new `IntegerWrapperHolder` with `value` as the value.

Parameters:
  `value` - the `Integer` to hold

Copyright © 2005 Apache Web Services Project. All Rights Reserved.